---
- hosts: pearl
  gather_facts: false
  become: true
  roles:
    - 'any.common.python'
    - 'any.common.debian-user'
  tags: first

- hosts: pearl
  become: true
  roles:
    - 'any.common.debian-repositories'
    - 'any.tools.default'
    - 'any.tools.restic'
    - 'any.tools.caddy'
    # First change SSH settings before enabling firewall
    - 'any.common.ssh'
    - 'any.tools.ufw'
    - 'pearl.mounts'
  tags: base

- hosts: pearl
  become: true
  roles:
    - 'any.software.vieter-podman'
  tags: vieter

- hosts: pearl
  become: true
  roles:
    - 'any.software.site-podman'
  tags: site

- hosts: pearl
  become: true
  roles:
    - 'any.software.lander'
  tags: lander
